Docs
Ctrl K
APIToolsCreate Tool

Create Tool

Create a tool in your organization. name and type are required. type must be one of Function, DTMF, Documents, TransferCall, EndCall, GoHighLevelAPI, HubSpotAPI, SalesforceAPI, VinsiSaasCrmAPI, AfterCallAction, EpicFhirAPI. configuration can be an object or a JSON string and is stored as a JSON string. Responds 201.

Created: April 22, 2025

Updated: September 16, 2026

Overview

POST

https://dashboard.vinsi.ai/api/tools

Request

Headers

Content-Type

string

application/json
x-api-key

string

REQUIRED

Request Body

{4 items
"name":string"example-tool"
"type":string"TransferCall"
"description":string"example tool description"
"configuration":{2 items
"phoneNumber":string"+18001234567"
"transferMessage":string"transfer message"
}
}

Response

{10 items
"id":string"cmexampletool000000000001"
"name":string"example-tool"
"description":string"example tool description"
"type":string"TransferCall"
"configuration":string"{"phoneNumber":"+18001234567",..."
"createdAt":string"2026-01-27T16:15:42.751Z"
"updatedAt":string"2026-01-27T16:15:42.751Z"
"userId":string"cmexampleuser0000000000001"
"organizationId":string"cmexampleorg00000000000001"
"dtmfOnly":null
}

Endpoint Explorer

Note: You must be already authenticated on https://dashboard.vinsi.ai/ to use this API tester.

POST

Headers

Content-Type: *
x-api-key: *

Response

No response yet. Click Send to test the API.